# Uses of Interface
javassist.ClassPath

Packages that use ClassPath
Package
Description
javassist
The Javassist Core API.

## Uses of ClassPath in javassist

Classes in javassist that implement ClassPath
Modifier and Type
Class
Description
`class`
`ByteArrayClassPath`
A `ByteArrayClassPath` contains bytes that is served as a class file to a `ClassPool`.
`class`
`ClassClassPath`
A search-path for obtaining a class file by `getResourceAsStream()` in `java.lang.Class`.
`class`
`LoaderClassPath`
A class search-path representing a class loader.
`class`
`URLClassPath`
A class search-path specified with URL (http).
Methods in javassist that return ClassPath
Modifier and Type
Method
Description
`ClassPath`
ClassPool.`appendClassPath(String pathname)`
Appends a directory or a jar (or zip) file to the end of the search path.
`ClassPath`
ClassPool.`appendClassPath(ClassPath cp)`
Appends a `ClassPath` object to the end of the search path.
`ClassPath`
ClassPool.`appendSystemPath()`
Appends the system search path to the end of the search path.
`ClassPath`
ClassPool.`insertClassPath(String pathname)`
Inserts a directory or a jar (or zip) file at the head of the search path.
`ClassPath`
ClassPool.`insertClassPath(ClassPath cp)`
Insert a `ClassPath` object at the head of the search path.
Methods in javassist with parameters of type ClassPath
Modifier and Type
Method
Description
`ClassPath`
ClassPool.`appendClassPath(ClassPath cp)`
Appends a `ClassPath` object to the end of the search path.
`ClassPath`
ClassPool.`insertClassPath(ClassPath cp)`
Insert a `ClassPath` object at the head of the search path.
`void`
ClassPool.`removeClassPath(ClassPath cp)`
Detatches the `ClassPath` object from the search path.